% Clear MATLAB
clear all; close all; clc

% simulate model
addpath('apm');
y = apm_solve('hiv',7); z = y.x;

% load data file for comparison
load hiv_data.csv

% plot results
figure(1);
semilogy(z.time,z.h,'b-')
hold on
semilogy(z.time,z.i,'g:')
semilogy(z.time,z.v,'r--')
semilogy(hiv_data(:,1),10.^hiv_data(:,2),'ro')
xlabel('Time (yr)')
ylabel('States (log scale)')
legend('H','I','V','V data')
