# simulate model
from apm import *
y = apm_solve('hiv',7)

# load data file for comparison
import numpy as np
data = np.genfromtxt('hiv_data.csv', delimiter=',')
# convert log-scaled data for plotting
log_v = data[:,][:,1] # 2nd column of data
v = np.power(10,log_v)

# plot results
import matplotlib.pyplot as plt
plt.figure(1)
plt.semilogy(y['time'],y['h'],'b-')
plt.semilogy(y['time'],y['i'],'g:')
plt.semilogy(y['time'],y['v'],'r--')
plt.semilogy(data[:,][:,0],v,'ro')
plt.xlabel('Time (yr)')
plt.ylabel('States (log scale)')
plt.legend(['H','I','V']) #,'V data')
plt.show()
